QGIS Application - Bug report #8691
Inconsistent icons in Processing toolbox
2013-09-26 08:23 AM - Jonathan Moules

Status: Closed

Priority: Normal
Assignee: Victor Olaya
Category: Processing/Core

Affected QGIS version:2.0.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 17412

Description

In the Processing toolbox (2.0.1), there is a "Geoalgorithms" which has a cog symbol.

There's also model - model symbol. And Script - script symbol.

However, when | go into either model or script, the items all have the "cog" symbol. Shouldn't they be respectively model and script

symbols as applicable?
It's minor, but the discrepancy is incongruous.

p.s. In the "Category" section of this tracker, there's a blank between "Rasters" and "StyleV2" which | suspect used to be SEXTANTE.

History

#1 - 2013-09-26 08:31 AM - Alexander Bruy
- Status changed from Open to Rejected

- Resolution set to worksforme

Works fine in master.

#2 - 2013-09-26 08:40 AM - Victor Olaya

- Status changed from Rejected to In Progress

Reopening it. Actually | had noticed that sometime ago, but | didn't fill an issue report

Alex, maybe a problem or resources?

#3 - 2013-09-26 08:43 AM - Jonathan Moules

Just looked into it further - it's not a problem in the "Advanced interface" (not seen that before) - | guess that's what Alexander is using?

This issue happens in the "Simple interface” for me.

#4 - 2013-09-26 08:46 AM - Jonathan Moules

Relatedly - "GDAL" -> "Analysis" -> fillnodata has no icon at all. The others seems fine.
#5 - 2013-09-26 09:20 AM - Alexander Bruy
- Resolution deleted (worksforme)

Jonathan Moules wrote:

This issue happens in the "Simple interface" for me.

This is your fault then :-), you have to specify this in first post.

I can confirm this with simplified interface.

Please, post tickets in Processing bugtracker, not in QGIS one. It is hard to track tickets in both redmine instances simultaneously

#6 - 2013-09-26 09:21 AM - Alexander Bruy

Jonathan Moules wrote:

Relatedly - "GDAL" -> "Analysis" -> fillnodata has no icon at all. The others seems fine.

Please don't mix up different issues in one ticket and search in bugtracker before posting. This issue (with icon) already reported, see #7200

#7 - 2013-09-26 09:26 AM - Jonathan Moules

Alexander Bruy wrote:

Please, post tickets in Processing bugtracker, not in QGIS one. It is hard to track tickets in both redmine instances simultaneously

| didn't know there was a processing bugtracker. There is a category for processing (SEXTANTE) on these ones which seemed the logical place to report
it. The problem with lots of trackers is, it because a pain for the reporter - there's one for QGIS, one for the website (on github) and now one for the

processing thing too.

Please don't mix up different issues in one ticket and search in bugtracker before posting. This issue (with icon) already reported, see #7200

Sorry about that, it seemed like it might be related/the same thing.

#8 - 2014-11-22 03:02 AM - Alexander Bruy
- Status changed from In Progress to Closed
- Resolution set to fixed/implemented

Fixed in master

#9 - 2015-06-07 04:32 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
